/* Autogenerated by opengl_wrapper.awk */

#define glClearIndex(...) OPENGL_VOID_CALL(glClearIndex, __VA_ARGS__)
#define glClearColor(...) OPENGL_VOID_CALL(glClearColor, __VA_ARGS__)
#define glClear(...) OPENGL_VOID_CALL(glClear, __VA_ARGS__)
#define glIndexMask(...) OPENGL_VOID_CALL(glIndexMask, __VA_ARGS__)
#define glColorMask(...) OPENGL_VOID_CALL(glColorMask, __VA_ARGS__)
#define glAlphaFunc(...) OPENGL_VOID_CALL(glAlphaFunc, __VA_ARGS__)
#define glBlendFunc(...) OPENGL_VOID_CALL(glBlendFunc, __VA_ARGS__)
#define glLogicOp(...) OPENGL_VOID_CALL(glLogicOp, __VA_ARGS__)
#define glCullFace(...) OPENGL_VOID_CALL(glCullFace, __VA_ARGS__)
#define glFrontFace(...) OPENGL_VOID_CALL(glFrontFace, __VA_ARGS__)
#define glPointSize(...) OPENGL_VOID_CALL(glPointSize, __VA_ARGS__)
#define glLineWidth(...) OPENGL_VOID_CALL(glLineWidth, __VA_ARGS__)
#define glLineStipple(...) OPENGL_VOID_CALL(glLineStipple, __VA_ARGS__)
#define glPolygonMode(...) OPENGL_VOID_CALL(glPolygonMode, __VA_ARGS__)
#define glPolygonOffset(...) OPENGL_VOID_CALL(glPolygonOffset, __VA_ARGS__)
#define glPolygonStipple(...) OPENGL_VOID_CALL(glPolygonStipple, __VA_ARGS__)
#define glGetPolygonStipple(...) OPENGL_VOID_CALL(glGetPolygonStipple, __VA_ARGS__)
#define glEdgeFlag(...) OPENGL_VOID_CALL(glEdgeFlag, __VA_ARGS__)
#define glEdgeFlagv(...) OPENGL_VOID_CALL(glEdgeFlagv, __VA_ARGS__)
#define glScissor(...) OPENGL_VOID_CALL(glScissor, __VA_ARGS__)
#define glClipPlane(...) OPENGL_VOID_CALL(glClipPlane, __VA_ARGS__)
#define glGetClipPlane(...) OPENGL_VOID_CALL(glGetClipPlane, __VA_ARGS__)
#define glDrawBuffer(...) OPENGL_VOID_CALL(glDrawBuffer, __VA_ARGS__)
#define glReadBuffer(...) OPENGL_VOID_CALL(glReadBuffer, __VA_ARGS__)
#define glEnable(...) OPENGL_VOID_CALL(glEnable, __VA_ARGS__)
#define glDisable(...) OPENGL_VOID_CALL(glDisable, __VA_ARGS__)
#define glIsEnabled(...) OPENGL_CALL(GLboolean, glIsEnabled, __VA_ARGS__)
#define glEnableClientState(...) OPENGL_VOID_CALL(glEnableClientState, __VA_ARGS__)
#define glDisableClientState(...) OPENGL_VOID_CALL(glDisableClientState, __VA_ARGS__)
#define glGetBooleanv(...) OPENGL_VOID_CALL(glGetBooleanv, __VA_ARGS__)
#define glGetDoublev(...) OPENGL_VOID_CALL(glGetDoublev, __VA_ARGS__)
#define glGetFloatv(...) OPENGL_VOID_CALL(glGetFloatv, __VA_ARGS__)
#define glGetIntegerv(...) OPENGL_VOID_CALL(glGetIntegerv, __VA_ARGS__)
#define glPushAttrib(...) OPENGL_VOID_CALL(glPushAttrib, __VA_ARGS__)
#define glPopAttrib() OPENGL_VOID_CALL_VOID(glPopAttrib)
#define glPushClientAttrib(...) OPENGL_VOID_CALL(glPushClientAttrib, __VA_ARGS__)
#define glPopClientAttrib() OPENGL_VOID_CALL_VOID(glPopClientAttrib)
#define glRenderMode(...) OPENGL_CALL(GLint, glRenderMode, __VA_ARGS__)
#define glGetString(...) OPENGL_CALL(const GLubyte*, glGetString, __VA_ARGS__)
#define glFinish() OPENGL_VOID_CALL_VOID(glFinish)
#define glFlush() OPENGL_VOID_CALL_VOID(glFlush)
#define glHint(...) OPENGL_VOID_CALL(glHint, __VA_ARGS__)
#define glClearDepth(...) OPENGL_VOID_CALL(glClearDepth, __VA_ARGS__)
#define glDepthFunc(...) OPENGL_VOID_CALL(glDepthFunc, __VA_ARGS__)
#define glDepthMask(...) OPENGL_VOID_CALL(glDepthMask, __VA_ARGS__)
#define glDepthRange(...) OPENGL_VOID_CALL(glDepthRange, __VA_ARGS__)
#define glClearAccum(...) OPENGL_VOID_CALL(glClearAccum, __VA_ARGS__)
#define glAccum(...) OPENGL_VOID_CALL(glAccum, __VA_ARGS__)
#define glMatrixMode(...) OPENGL_VOID_CALL(glMatrixMode, __VA_ARGS__)
#define glOrtho(...) OPENGL_VOID_CALL(glOrtho, __VA_ARGS__)
#define glFrustum(...) OPENGL_VOID_CALL(glFrustum, __VA_ARGS__)
#define glViewport(...) OPENGL_VOID_CALL(glViewport, __VA_ARGS__)
#define glPushMatrix() OPENGL_VOID_CALL_VOID(glPushMatrix)
#define glPopMatrix() OPENGL_VOID_CALL_VOID(glPopMatrix)
#define glLoadIdentity() OPENGL_VOID_CALL_VOID(glLoadIdentity)
#define glLoadMatrixd(...) OPENGL_VOID_CALL(glLoadMatrixd, __VA_ARGS__)
#define glLoadMatrixf(...) OPENGL_VOID_CALL(glLoadMatrixf, __VA_ARGS__)
#define glMultMatrixd(...) OPENGL_VOID_CALL(glMultMatrixd, __VA_ARGS__)
#define glMultMatrixf(...) OPENGL_VOID_CALL(glMultMatrixf, __VA_ARGS__)
#define glRotated(...) OPENGL_VOID_CALL(glRotated, __VA_ARGS__)
#define glRotatef(...) OPENGL_VOID_CALL(glRotatef, __VA_ARGS__)
#define glScaled(...) OPENGL_VOID_CALL(glScaled, __VA_ARGS__)
#define glScalef(...) OPENGL_VOID_CALL(glScalef, __VA_ARGS__)
#define glTranslated(...) OPENGL_VOID_CALL(glTranslated, __VA_ARGS__)
#define glTranslatef(...) OPENGL_VOID_CALL(glTranslatef, __VA_ARGS__)
#define glIsList(...) OPENGL_CALL(GLboolean, glIsList, __VA_ARGS__)
#define glDeleteLists(...) OPENGL_VOID_CALL(glDeleteLists, __VA_ARGS__)
#define glGenLists(...) OPENGL_CALL(GLuint, glGenLists, __VA_ARGS__)
#define glNewList(...) OPENGL_VOID_CALL(glNewList, __VA_ARGS__)
#define glEndList() OPENGL_VOID_CALL_VOID(glEndList)
#define glCallList(...) OPENGL_VOID_CALL(glCallList, __VA_ARGS__)
#define glCallLists(...) OPENGL_VOID_CALL(glCallLists, __VA_ARGS__)
#define glListBase(...) OPENGL_VOID_CALL(glListBase, __VA_ARGS__)
#define glVertex2d(...) OPENGL_VOID_CALL(glVertex2d, __VA_ARGS__)
#define glVertex2f(...) OPENGL_VOID_CALL(glVertex2f, __VA_ARGS__)
#define glVertex2i(...) OPENGL_VOID_CALL(glVertex2i, __VA_ARGS__)
#define glVertex2s(...) OPENGL_VOID_CALL(glVertex2s, __VA_ARGS__)
#define glVertex3d(...) OPENGL_VOID_CALL(glVertex3d, __VA_ARGS__)
#define glVertex3f(...) OPENGL_VOID_CALL(glVertex3f, __VA_ARGS__)
#define glVertex3i(...) OPENGL_VOID_CALL(glVertex3i, __VA_ARGS__)
#define glVertex3s(...) OPENGL_VOID_CALL(glVertex3s, __VA_ARGS__)
#define glVertex4d(...) OPENGL_VOID_CALL(glVertex4d, __VA_ARGS__)
#define glVertex4f(...) OPENGL_VOID_CALL(glVertex4f, __VA_ARGS__)
#define glVertex4i(...) OPENGL_VOID_CALL(glVertex4i, __VA_ARGS__)
#define glVertex4s(...) OPENGL_VOID_CALL(glVertex4s, __VA_ARGS__)
#define glVertex2dv(...) OPENGL_VOID_CALL(glVertex2dv, __VA_ARGS__)
#define glVertex2fv(...) OPENGL_VOID_CALL(glVertex2fv, __VA_ARGS__)
#define glVertex2iv(...) OPENGL_VOID_CALL(glVertex2iv, __VA_ARGS__)
#define glVertex2sv(...) OPENGL_VOID_CALL(glVertex2sv, __VA_ARGS__)
#define glVertex3dv(...) OPENGL_VOID_CALL(glVertex3dv, __VA_ARGS__)
#define glVertex3fv(...) OPENGL_VOID_CALL(glVertex3fv, __VA_ARGS__)
#define glVertex3iv(...) OPENGL_VOID_CALL(glVertex3iv, __VA_ARGS__)
#define glVertex3sv(...) OPENGL_VOID_CALL(glVertex3sv, __VA_ARGS__)
#define glVertex4dv(...) OPENGL_VOID_CALL(glVertex4dv, __VA_ARGS__)
#define glVertex4fv(...) OPENGL_VOID_CALL(glVertex4fv, __VA_ARGS__)
#define glVertex4iv(...) OPENGL_VOID_CALL(glVertex4iv, __VA_ARGS__)
#define glVertex4sv(...) OPENGL_VOID_CALL(glVertex4sv, __VA_ARGS__)
#define glNormal3b(...) OPENGL_VOID_CALL(glNormal3b, __VA_ARGS__)
#define glNormal3d(...) OPENGL_VOID_CALL(glNormal3d, __VA_ARGS__)
#define glNormal3f(...) OPENGL_VOID_CALL(glNormal3f, __VA_ARGS__)
#define glNormal3i(...) OPENGL_VOID_CALL(glNormal3i, __VA_ARGS__)
#define glNormal3s(...) OPENGL_VOID_CALL(glNormal3s, __VA_ARGS__)
#define glNormal3bv(...) OPENGL_VOID_CALL(glNormal3bv, __VA_ARGS__)
#define glNormal3dv(...) OPENGL_VOID_CALL(glNormal3dv, __VA_ARGS__)
#define glNormal3fv(...) OPENGL_VOID_CALL(glNormal3fv, __VA_ARGS__)
#define glNormal3iv(...) OPENGL_VOID_CALL(glNormal3iv, __VA_ARGS__)
#define glNormal3sv(...) OPENGL_VOID_CALL(glNormal3sv, __VA_ARGS__)
#define glIndexd(...) OPENGL_VOID_CALL(glIndexd, __VA_ARGS__)
#define glIndexf(...) OPENGL_VOID_CALL(glIndexf, __VA_ARGS__)
#define glIndexi(...) OPENGL_VOID_CALL(glIndexi, __VA_ARGS__)
#define glIndexs(...) OPENGL_VOID_CALL(glIndexs, __VA_ARGS__)
#define glIndexub(...) OPENGL_VOID_CALL(glIndexub, __VA_ARGS__)
#define glIndexdv(...) OPENGL_VOID_CALL(glIndexdv, __VA_ARGS__)
#define glIndexfv(...) OPENGL_VOID_CALL(glIndexfv, __VA_ARGS__)
#define glIndexiv(...) OPENGL_VOID_CALL(glIndexiv, __VA_ARGS__)
#define glIndexsv(...) OPENGL_VOID_CALL(glIndexsv, __VA_ARGS__)
#define glIndexubv(...) OPENGL_VOID_CALL(glIndexubv, __VA_ARGS__)
#define glColor3b(...) OPENGL_VOID_CALL(glColor3b, __VA_ARGS__)
#define glColor3d(...) OPENGL_VOID_CALL(glColor3d, __VA_ARGS__)
#define glColor3f(...) OPENGL_VOID_CALL(glColor3f, __VA_ARGS__)
#define glColor3i(...) OPENGL_VOID_CALL(glColor3i, __VA_ARGS__)
#define glColor3s(...) OPENGL_VOID_CALL(glColor3s, __VA_ARGS__)
#define glColor3ub(...) OPENGL_VOID_CALL(glColor3ub, __VA_ARGS__)
#define glColor3ui(...) OPENGL_VOID_CALL(glColor3ui, __VA_ARGS__)
#define glColor3us(...) OPENGL_VOID_CALL(glColor3us, __VA_ARGS__)
#define glColor4b(...) OPENGL_VOID_CALL(glColor4b, __VA_ARGS__)
#define glColor4d(...) OPENGL_VOID_CALL(glColor4d, __VA_ARGS__)
#define glColor4f(...) OPENGL_VOID_CALL(glColor4f, __VA_ARGS__)
#define glColor4i(...) OPENGL_VOID_CALL(glColor4i, __VA_ARGS__)
#define glColor4s(...) OPENGL_VOID_CALL(glColor4s, __VA_ARGS__)
#define glColor4ub(...) OPENGL_VOID_CALL(glColor4ub, __VA_ARGS__)
#define glColor4ui(...) OPENGL_VOID_CALL(glColor4ui, __VA_ARGS__)
#define glColor4us(...) OPENGL_VOID_CALL(glColor4us, __VA_ARGS__)
#define glColor3bv(...) OPENGL_VOID_CALL(glColor3bv, __VA_ARGS__)
#define glColor3dv(...) OPENGL_VOID_CALL(glColor3dv, __VA_ARGS__)
#define glColor3fv(...) OPENGL_VOID_CALL(glColor3fv, __VA_ARGS__)
#define glColor3iv(...) OPENGL_VOID_CALL(glColor3iv, __VA_ARGS__)
#define glColor3sv(...) OPENGL_VOID_CALL(glColor3sv, __VA_ARGS__)
#define glColor3ubv(...) OPENGL_VOID_CALL(glColor3ubv, __VA_ARGS__)
#define glColor3uiv(...) OPENGL_VOID_CALL(glColor3uiv, __VA_ARGS__)
#define glColor3usv(...) OPENGL_VOID_CALL(glColor3usv, __VA_ARGS__)
#define glColor4bv(...) OPENGL_VOID_CALL(glColor4bv, __VA_ARGS__)
#define glColor4dv(...) OPENGL_VOID_CALL(glColor4dv, __VA_ARGS__)
#define glColor4fv(...) OPENGL_VOID_CALL(glColor4fv, __VA_ARGS__)
#define glColor4iv(...) OPENGL_VOID_CALL(glColor4iv, __VA_ARGS__)
#define glColor4sv(...) OPENGL_VOID_CALL(glColor4sv, __VA_ARGS__)
#define glColor4ubv(...) OPENGL_VOID_CALL(glColor4ubv, __VA_ARGS__)
#define glColor4uiv(...) OPENGL_VOID_CALL(glColor4uiv, __VA_ARGS__)
#define glColor4usv(...) OPENGL_VOID_CALL(glColor4usv, __VA_ARGS__)
#define glTexCoord1d(...) OPENGL_VOID_CALL(glTexCoord1d, __VA_ARGS__)
#define glTexCoord1f(...) OPENGL_VOID_CALL(glTexCoord1f, __VA_ARGS__)
#define glTexCoord1i(...) OPENGL_VOID_CALL(glTexCoord1i, __VA_ARGS__)
#define glTexCoord1s(...) OPENGL_VOID_CALL(glTexCoord1s, __VA_ARGS__)
#define glTexCoord2d(...) OPENGL_VOID_CALL(glTexCoord2d, __VA_ARGS__)
#define glTexCoord2f(...) OPENGL_VOID_CALL(glTexCoord2f, __VA_ARGS__)
#define glTexCoord2i(...) OPENGL_VOID_CALL(glTexCoord2i, __VA_ARGS__)
#define glTexCoord2s(...) OPENGL_VOID_CALL(glTexCoord2s, __VA_ARGS__)
#define glTexCoord3d(...) OPENGL_VOID_CALL(glTexCoord3d, __VA_ARGS__)
#define glTexCoord3f(...) OPENGL_VOID_CALL(glTexCoord3f, __VA_ARGS__)
#define glTexCoord3i(...) OPENGL_VOID_CALL(glTexCoord3i, __VA_ARGS__)
#define glTexCoord3s(...) OPENGL_VOID_CALL(glTexCoord3s, __VA_ARGS__)
#define glTexCoord4d(...) OPENGL_VOID_CALL(glTexCoord4d, __VA_ARGS__)
#define glTexCoord4f(...) OPENGL_VOID_CALL(glTexCoord4f, __VA_ARGS__)
#define glTexCoord4i(...) OPENGL_VOID_CALL(glTexCoord4i, __VA_ARGS__)
#define glTexCoord4s(...) OPENGL_VOID_CALL(glTexCoord4s, __VA_ARGS__)
#define glTexCoord1dv(...) OPENGL_VOID_CALL(glTexCoord1dv, __VA_ARGS__)
#define glTexCoord1fv(...) OPENGL_VOID_CALL(glTexCoord1fv, __VA_ARGS__)
#define glTexCoord1iv(...) OPENGL_VOID_CALL(glTexCoord1iv, __VA_ARGS__)
#define glTexCoord1sv(...) OPENGL_VOID_CALL(glTexCoord1sv, __VA_ARGS__)
#define glTexCoord2dv(...) OPENGL_VOID_CALL(glTexCoord2dv, __VA_ARGS__)
#define glTexCoord2fv(...) OPENGL_VOID_CALL(glTexCoord2fv, __VA_ARGS__)
#define glTexCoord2iv(...) OPENGL_VOID_CALL(glTexCoord2iv, __VA_ARGS__)
#define glTexCoord2sv(...) OPENGL_VOID_CALL(glTexCoord2sv, __VA_ARGS__)
#define glTexCoord3dv(...) OPENGL_VOID_CALL(glTexCoord3dv, __VA_ARGS__)
#define glTexCoord3fv(...) OPENGL_VOID_CALL(glTexCoord3fv, __VA_ARGS__)
#define glTexCoord3iv(...) OPENGL_VOID_CALL(glTexCoord3iv, __VA_ARGS__)
#define glTexCoord3sv(...) OPENGL_VOID_CALL(glTexCoord3sv, __VA_ARGS__)
#define glTexCoord4dv(...) OPENGL_VOID_CALL(glTexCoord4dv, __VA_ARGS__)
#define glTexCoord4fv(...) OPENGL_VOID_CALL(glTexCoord4fv, __VA_ARGS__)
#define glTexCoord4iv(...) OPENGL_VOID_CALL(glTexCoord4iv, __VA_ARGS__)
#define glTexCoord4sv(...) OPENGL_VOID_CALL(glTexCoord4sv, __VA_ARGS__)
#define glRasterPos2d(...) OPENGL_VOID_CALL(glRasterPos2d, __VA_ARGS__)
#define glRasterPos2f(...) OPENGL_VOID_CALL(glRasterPos2f, __VA_ARGS__)
#define glRasterPos2i(...) OPENGL_VOID_CALL(glRasterPos2i, __VA_ARGS__)
#define glRasterPos2s(...) OPENGL_VOID_CALL(glRasterPos2s, __VA_ARGS__)
#define glRasterPos3d(...) OPENGL_VOID_CALL(glRasterPos3d, __VA_ARGS__)
#define glRasterPos3f(...) OPENGL_VOID_CALL(glRasterPos3f, __VA_ARGS__)
#define glRasterPos3i(...) OPENGL_VOID_CALL(glRasterPos3i, __VA_ARGS__)
#define glRasterPos3s(...) OPENGL_VOID_CALL(glRasterPos3s, __VA_ARGS__)
#define glRasterPos4d(...) OPENGL_VOID_CALL(glRasterPos4d, __VA_ARGS__)
#define glRasterPos4f(...) OPENGL_VOID_CALL(glRasterPos4f, __VA_ARGS__)
#define glRasterPos4i(...) OPENGL_VOID_CALL(glRasterPos4i, __VA_ARGS__)
#define glRasterPos4s(...) OPENGL_VOID_CALL(glRasterPos4s, __VA_ARGS__)
#define glRasterPos2dv(...) OPENGL_VOID_CALL(glRasterPos2dv, __VA_ARGS__)
#define glRasterPos2fv(...) OPENGL_VOID_CALL(glRasterPos2fv, __VA_ARGS__)
#define glRasterPos2iv(...) OPENGL_VOID_CALL(glRasterPos2iv, __VA_ARGS__)
#define glRasterPos2sv(...) OPENGL_VOID_CALL(glRasterPos2sv, __VA_ARGS__)
#define glRasterPos3dv(...) OPENGL_VOID_CALL(glRasterPos3dv, __VA_ARGS__)
#define glRasterPos3fv(...) OPENGL_VOID_CALL(glRasterPos3fv, __VA_ARGS__)
#define glRasterPos3iv(...) OPENGL_VOID_CALL(glRasterPos3iv, __VA_ARGS__)
#define glRasterPos3sv(...) OPENGL_VOID_CALL(glRasterPos3sv, __VA_ARGS__)
#define glRasterPos4dv(...) OPENGL_VOID_CALL(glRasterPos4dv, __VA_ARGS__)
#define glRasterPos4fv(...) OPENGL_VOID_CALL(glRasterPos4fv, __VA_ARGS__)
#define glRasterPos4iv(...) OPENGL_VOID_CALL(glRasterPos4iv, __VA_ARGS__)
#define glRasterPos4sv(...) OPENGL_VOID_CALL(glRasterPos4sv, __VA_ARGS__)
#define glRectd(...) OPENGL_VOID_CALL(glRectd, __VA_ARGS__)
#define glRectf(...) OPENGL_VOID_CALL(glRectf, __VA_ARGS__)
#define glRecti(...) OPENGL_VOID_CALL(glRecti, __VA_ARGS__)
#define glRects(...) OPENGL_VOID_CALL(glRects, __VA_ARGS__)
#define glRectdv(...) OPENGL_VOID_CALL(glRectdv, __VA_ARGS__)
#define glRectfv(...) OPENGL_VOID_CALL(glRectfv, __VA_ARGS__)
#define glRectiv(...) OPENGL_VOID_CALL(glRectiv, __VA_ARGS__)
#define glRectsv(...) OPENGL_VOID_CALL(glRectsv, __VA_ARGS__)
#define glVertexPointer(...) OPENGL_VOID_CALL(glVertexPointer, __VA_ARGS__)
#define glNormalPointer(...) OPENGL_VOID_CALL(glNormalPointer, __VA_ARGS__)
#define glColorPointer(...) OPENGL_VOID_CALL(glColorPointer, __VA_ARGS__)
#define glIndexPointer(...) OPENGL_VOID_CALL(glIndexPointer, __VA_ARGS__)
#define glTexCoordPointer(...) OPENGL_VOID_CALL(glTexCoordPointer, __VA_ARGS__)
#define glEdgeFlagPointer(...) OPENGL_VOID_CALL(glEdgeFlagPointer, __VA_ARGS__)
#define glGetPointerv(...) OPENGL_VOID_CALL(glGetPointerv, __VA_ARGS__)
#define glArrayElement(...) OPENGL_VOID_CALL(glArrayElement, __VA_ARGS__)
#define glDrawArrays(...) OPENGL_VOID_CALL(glDrawArrays, __VA_ARGS__)
#define glDrawElements(...) OPENGL_VOID_CALL(glDrawElements, __VA_ARGS__)
#define glInterleavedArrays(...) OPENGL_VOID_CALL(glInterleavedArrays, __VA_ARGS__)
#define glShadeModel(...) OPENGL_VOID_CALL(glShadeModel, __VA_ARGS__)
#define glLightf(...) OPENGL_VOID_CALL(glLightf, __VA_ARGS__)
#define glLighti(...) OPENGL_VOID_CALL(glLighti, __VA_ARGS__)
#define glLightfv(...) OPENGL_VOID_CALL(glLightfv, __VA_ARGS__)
#define glLightiv(...) OPENGL_VOID_CALL(glLightiv, __VA_ARGS__)
#define glGetLightfv(...) OPENGL_VOID_CALL(glGetLightfv, __VA_ARGS__)
#define glGetLightiv(...) OPENGL_VOID_CALL(glGetLightiv, __VA_ARGS__)
#define glLightModelf(...) OPENGL_VOID_CALL(glLightModelf, __VA_ARGS__)
#define glLightModeli(...) OPENGL_VOID_CALL(glLightModeli, __VA_ARGS__)
#define glLightModelfv(...) OPENGL_VOID_CALL(glLightModelfv, __VA_ARGS__)
#define glLightModeliv(...) OPENGL_VOID_CALL(glLightModeliv, __VA_ARGS__)
#define glMaterialf(...) OPENGL_VOID_CALL(glMaterialf, __VA_ARGS__)
#define glMateriali(...) OPENGL_VOID_CALL(glMateriali, __VA_ARGS__)
#define glMaterialfv(...) OPENGL_VOID_CALL(glMaterialfv, __VA_ARGS__)
#define glMaterialiv(...) OPENGL_VOID_CALL(glMaterialiv, __VA_ARGS__)
#define glGetMaterialfv(...) OPENGL_VOID_CALL(glGetMaterialfv, __VA_ARGS__)
#define glGetMaterialiv(...) OPENGL_VOID_CALL(glGetMaterialiv, __VA_ARGS__)
#define glColorMaterial(...) OPENGL_VOID_CALL(glColorMaterial, __VA_ARGS__)
#define glPixelZoom(...) OPENGL_VOID_CALL(glPixelZoom, __VA_ARGS__)
#define glPixelStoref(...) OPENGL_VOID_CALL(glPixelStoref, __VA_ARGS__)
#define glPixelStorei(...) OPENGL_VOID_CALL(glPixelStorei, __VA_ARGS__)
#define glPixelTransferf(...) OPENGL_VOID_CALL(glPixelTransferf, __VA_ARGS__)
#define glPixelTransferi(...) OPENGL_VOID_CALL(glPixelTransferi, __VA_ARGS__)
#define glPixelMapfv(...) OPENGL_VOID_CALL(glPixelMapfv, __VA_ARGS__)
#define glPixelMapuiv(...) OPENGL_VOID_CALL(glPixelMapuiv, __VA_ARGS__)
#define glPixelMapusv(...) OPENGL_VOID_CALL(glPixelMapusv, __VA_ARGS__)
#define glGetPixelMapfv(...) OPENGL_VOID_CALL(glGetPixelMapfv, __VA_ARGS__)
#define glGetPixelMapuiv(...) OPENGL_VOID_CALL(glGetPixelMapuiv, __VA_ARGS__)
#define glGetPixelMapusv(...) OPENGL_VOID_CALL(glGetPixelMapusv, __VA_ARGS__)
#define glBitmap(...) OPENGL_VOID_CALL(glBitmap, __VA_ARGS__)
#define glReadPixels(...) OPENGL_VOID_CALL(glReadPixels, __VA_ARGS__)
#define glDrawPixels(...) OPENGL_VOID_CALL(glDrawPixels, __VA_ARGS__)
#define glCopyPixels(...) OPENGL_VOID_CALL(glCopyPixels, __VA_ARGS__)
#define glStencilFunc(...) OPENGL_VOID_CALL(glStencilFunc, __VA_ARGS__)
#define glStencilMask(...) OPENGL_VOID_CALL(glStencilMask, __VA_ARGS__)
#define glStencilOp(...) OPENGL_VOID_CALL(glStencilOp, __VA_ARGS__)
#define glClearStencil(...) OPENGL_VOID_CALL(glClearStencil, __VA_ARGS__)
#define glTexGend(...) OPENGL_VOID_CALL(glTexGend, __VA_ARGS__)
#define glTexGenf(...) OPENGL_VOID_CALL(glTexGenf, __VA_ARGS__)
#define glTexGeni(...) OPENGL_VOID_CALL(glTexGeni, __VA_ARGS__)
#define glTexGendv(...) OPENGL_VOID_CALL(glTexGendv, __VA_ARGS__)
#define glTexGenfv(...) OPENGL_VOID_CALL(glTexGenfv, __VA_ARGS__)
#define glTexGeniv(...) OPENGL_VOID_CALL(glTexGeniv, __VA_ARGS__)
#define glGetTexGendv(...) OPENGL_VOID_CALL(glGetTexGendv, __VA_ARGS__)
#define glGetTexGenfv(...) OPENGL_VOID_CALL(glGetTexGenfv, __VA_ARGS__)
#define glGetTexGeniv(...) OPENGL_VOID_CALL(glGetTexGeniv, __VA_ARGS__)
#define glTexEnvf(...) OPENGL_VOID_CALL(glTexEnvf, __VA_ARGS__)
#define glTexEnvi(...) OPENGL_VOID_CALL(glTexEnvi, __VA_ARGS__)
#define glTexEnvfv(...) OPENGL_VOID_CALL(glTexEnvfv, __VA_ARGS__)
#define glTexEnviv(...) OPENGL_VOID_CALL(glTexEnviv, __VA_ARGS__)
#define glGetTexEnvfv(...) OPENGL_VOID_CALL(glGetTexEnvfv, __VA_ARGS__)
#define glGetTexEnviv(...) OPENGL_VOID_CALL(glGetTexEnviv, __VA_ARGS__)
#define glTexParameterf(...) OPENGL_VOID_CALL(glTexParameterf, __VA_ARGS__)
#define glTexParameteri(...) OPENGL_VOID_CALL(glTexParameteri, __VA_ARGS__)
#define glTexParameterfv(...) OPENGL_VOID_CALL(glTexParameterfv, __VA_ARGS__)
#define glTexParameteriv(...) OPENGL_VOID_CALL(glTexParameteriv, __VA_ARGS__)
#define glGetTexParameterfv(...) OPENGL_VOID_CALL(glGetTexParameterfv, __VA_ARGS__)
#define glGetTexParameteriv(...) OPENGL_VOID_CALL(glGetTexParameteriv, __VA_ARGS__)
#define glGetTexLevelParameterfv(...) OPENGL_VOID_CALL(glGetTexLevelParameterfv, __VA_ARGS__)
#define glGetTexLevelParameteriv(...) OPENGL_VOID_CALL(glGetTexLevelParameteriv, __VA_ARGS__)
#define glTexImage1D(...) OPENGL_VOID_CALL(glTexImage1D, __VA_ARGS__)
#define glTexImage2D(...) OPENGL_VOID_CALL(glTexImage2D, __VA_ARGS__)
#define glGetTexImage(...) OPENGL_VOID_CALL(glGetTexImage, __VA_ARGS__)
#define glGenTextures(...) OPENGL_VOID_CALL(glGenTextures, __VA_ARGS__)
#define glDeleteTextures(...) OPENGL_VOID_CALL(glDeleteTextures, __VA_ARGS__)
#define glBindTexture(...) OPENGL_VOID_CALL(glBindTexture, __VA_ARGS__)
#define glPrioritizeTextures(...) OPENGL_VOID_CALL(glPrioritizeTextures, __VA_ARGS__)
#define glAreTexturesResident(...) OPENGL_CALL(GLboolean, glAreTexturesResident, __VA_ARGS__)
#define glIsTexture(...) OPENGL_CALL(GLboolean, glIsTexture, __VA_ARGS__)
#define glTexSubImage1D(...) OPENGL_VOID_CALL(glTexSubImage1D, __VA_ARGS__)
#define glTexSubImage2D(...) OPENGL_VOID_CALL(glTexSubImage2D, __VA_ARGS__)
#define glCopyTexImage1D(...) OPENGL_VOID_CALL(glCopyTexImage1D, __VA_ARGS__)
#define glCopyTexImage2D(...) OPENGL_VOID_CALL(glCopyTexImage2D, __VA_ARGS__)
#define glCopyTexSubImage1D(...) OPENGL_VOID_CALL(glCopyTexSubImage1D, __VA_ARGS__)
#define glCopyTexSubImage2D(...) OPENGL_VOID_CALL(glCopyTexSubImage2D, __VA_ARGS__)
#define glMap1d(...) OPENGL_VOID_CALL(glMap1d, __VA_ARGS__)
#define glMap1f(...) OPENGL_VOID_CALL(glMap1f, __VA_ARGS__)
#define glMap2d(...) OPENGL_VOID_CALL(glMap2d, __VA_ARGS__)
#define glMap2f(...) OPENGL_VOID_CALL(glMap2f, __VA_ARGS__)
#define glGetMapdv(...) OPENGL_VOID_CALL(glGetMapdv, __VA_ARGS__)
#define glGetMapfv(...) OPENGL_VOID_CALL(glGetMapfv, __VA_ARGS__)
#define glGetMapiv(...) OPENGL_VOID_CALL(glGetMapiv, __VA_ARGS__)
#define glEvalCoord1d(...) OPENGL_VOID_CALL(glEvalCoord1d, __VA_ARGS__)
#define glEvalCoord1f(...) OPENGL_VOID_CALL(glEvalCoord1f, __VA_ARGS__)
#define glEvalCoord1dv(...) OPENGL_VOID_CALL(glEvalCoord1dv, __VA_ARGS__)
#define glEvalCoord1fv(...) OPENGL_VOID_CALL(glEvalCoord1fv, __VA_ARGS__)
#define glEvalCoord2d(...) OPENGL_VOID_CALL(glEvalCoord2d, __VA_ARGS__)
#define glEvalCoord2f(...) OPENGL_VOID_CALL(glEvalCoord2f, __VA_ARGS__)
#define glEvalCoord2dv(...) OPENGL_VOID_CALL(glEvalCoord2dv, __VA_ARGS__)
#define glEvalCoord2fv(...) OPENGL_VOID_CALL(glEvalCoord2fv, __VA_ARGS__)
#define glMapGrid1d(...) OPENGL_VOID_CALL(glMapGrid1d, __VA_ARGS__)
#define glMapGrid1f(...) OPENGL_VOID_CALL(glMapGrid1f, __VA_ARGS__)
#define glMapGrid2d(...) OPENGL_VOID_CALL(glMapGrid2d, __VA_ARGS__)
#define glMapGrid2f(...) OPENGL_VOID_CALL(glMapGrid2f, __VA_ARGS__)
#define glEvalPoint1(...) OPENGL_VOID_CALL(glEvalPoint1, __VA_ARGS__)
#define glEvalPoint2(...) OPENGL_VOID_CALL(glEvalPoint2, __VA_ARGS__)
#define glEvalMesh1(...) OPENGL_VOID_CALL(glEvalMesh1, __VA_ARGS__)
#define glEvalMesh2(...) OPENGL_VOID_CALL(glEvalMesh2, __VA_ARGS__)
#define glFogf(...) OPENGL_VOID_CALL(glFogf, __VA_ARGS__)
#define glFogi(...) OPENGL_VOID_CALL(glFogi, __VA_ARGS__)
#define glFogfv(...) OPENGL_VOID_CALL(glFogfv, __VA_ARGS__)
#define glFogiv(...) OPENGL_VOID_CALL(glFogiv, __VA_ARGS__)
#define glFeedbackBuffer(...) OPENGL_VOID_CALL(glFeedbackBuffer, __VA_ARGS__)
#define glPassThrough(...) OPENGL_VOID_CALL(glPassThrough, __VA_ARGS__)
#define glSelectBuffer(...) OPENGL_VOID_CALL(glSelectBuffer, __VA_ARGS__)
#define glInitNames() OPENGL_VOID_CALL_VOID(glInitNames)
#define glLoadName(...) OPENGL_VOID_CALL(glLoadName, __VA_ARGS__)
#define glPushName(...) OPENGL_VOID_CALL(glPushName, __VA_ARGS__)
#define glPopName() OPENGL_VOID_CALL_VOID(glPopName)
#define glDrawRangeElements(...) OPENGL_VOID_CALL(glDrawRangeElements, __VA_ARGS__)
#define glTexImage3D(...) OPENGL_VOID_CALL(glTexImage3D, __VA_ARGS__)
#define glTexSubImage3D(...) OPENGL_VOID_CALL(glTexSubImage3D, __VA_ARGS__)
#define glCopyTexSubImage3D(...) OPENGL_VOID_CALL(glCopyTexSubImage3D, __VA_ARGS__)
#define glColorTable(...) OPENGL_VOID_CALL(glColorTable, __VA_ARGS__)
#define glColorSubTable(...) OPENGL_VOID_CALL(glColorSubTable, __VA_ARGS__)
#define glColorTableParameteriv(...) OPENGL_VOID_CALL(glColorTableParameteriv, __VA_ARGS__)
#define glColorTableParameterfv(...) OPENGL_VOID_CALL(glColorTableParameterfv, __VA_ARGS__)
#define glCopyColorSubTable(...) OPENGL_VOID_CALL(glCopyColorSubTable, __VA_ARGS__)
#define glCopyColorTable(...) OPENGL_VOID_CALL(glCopyColorTable, __VA_ARGS__)
#define glGetColorTable(...) OPENGL_VOID_CALL(glGetColorTable, __VA_ARGS__)
#define glGetColorTableParameterfv(...) OPENGL_VOID_CALL(glGetColorTableParameterfv, __VA_ARGS__)
#define glGetColorTableParameteriv(...) OPENGL_VOID_CALL(glGetColorTableParameteriv, __VA_ARGS__)
#define glBlendEquation(...) OPENGL_VOID_CALL(glBlendEquation, __VA_ARGS__)
#define glBlendColor(...) OPENGL_VOID_CALL(glBlendColor, __VA_ARGS__)
#define glHistogram(...) OPENGL_VOID_CALL(glHistogram, __VA_ARGS__)
#define glResetHistogram(...) OPENGL_VOID_CALL(glResetHistogram, __VA_ARGS__)
#define glGetHistogram(...) OPENGL_VOID_CALL(glGetHistogram, __VA_ARGS__)
#define glGetHistogramParameterfv(...) OPENGL_VOID_CALL(glGetHistogramParameterfv, __VA_ARGS__)
#define glGetHistogramParameteriv(...) OPENGL_VOID_CALL(glGetHistogramParameteriv, __VA_ARGS__)
#define glMinmax(...) OPENGL_VOID_CALL(glMinmax, __VA_ARGS__)
#define glResetMinmax(...) OPENGL_VOID_CALL(glResetMinmax, __VA_ARGS__)
#define glGetMinmax(...) OPENGL_VOID_CALL(glGetMinmax, __VA_ARGS__)
#define glGetMinmaxParameterfv(...) OPENGL_VOID_CALL(glGetMinmaxParameterfv, __VA_ARGS__)
#define glGetMinmaxParameteriv(...) OPENGL_VOID_CALL(glGetMinmaxParameteriv, __VA_ARGS__)
#define glConvolutionFilter1D(...) OPENGL_VOID_CALL(glConvolutionFilter1D, __VA_ARGS__)
#define glConvolutionFilter2D(...) OPENGL_VOID_CALL(glConvolutionFilter2D, __VA_ARGS__)
#define glConvolutionParameterf(...) OPENGL_VOID_CALL(glConvolutionParameterf, __VA_ARGS__)
#define glConvolutionParameterfv(...) OPENGL_VOID_CALL(glConvolutionParameterfv, __VA_ARGS__)
#define glConvolutionParameteri(...) OPENGL_VOID_CALL(glConvolutionParameteri, __VA_ARGS__)
#define glConvolutionParameteriv(...) OPENGL_VOID_CALL(glConvolutionParameteriv, __VA_ARGS__)
#define glCopyConvolutionFilter1D(...) OPENGL_VOID_CALL(glCopyConvolutionFilter1D, __VA_ARGS__)
#define glCopyConvolutionFilter2D(...) OPENGL_VOID_CALL(glCopyConvolutionFilter2D, __VA_ARGS__)
#define glGetConvolutionFilter(...) OPENGL_VOID_CALL(glGetConvolutionFilter, __VA_ARGS__)
#define glGetConvolutionParameterfv(...) OPENGL_VOID_CALL(glGetConvolutionParameterfv, __VA_ARGS__)
#define glGetConvolutionParameteriv(...) OPENGL_VOID_CALL(glGetConvolutionParameteriv, __VA_ARGS__)
#define glSeparableFilter2D(...) OPENGL_VOID_CALL(glSeparableFilter2D, __VA_ARGS__)
#define glGetSeparableFilter(...) OPENGL_VOID_CALL(glGetSeparableFilter, __VA_ARGS__)
#define glActiveTexture(...) OPENGL_VOID_CALL(glActiveTexture, __VA_ARGS__)
#define glClientActiveTexture(...) OPENGL_VOID_CALL(glClientActiveTexture, __VA_ARGS__)
#define glCompressedTexImage1D(...) OPENGL_VOID_CALL(glCompressedTexImage1D, __VA_ARGS__)
#define glCompressedTexImage2D(...) OPENGL_VOID_CALL(glCompressedTexImage2D, __VA_ARGS__)
#define glCompressedTexImage3D(...) OPENGL_VOID_CALL(glCompressedTexImage3D, __VA_ARGS__)
#define glCompressedTexSubImage1D(...) OPENGL_VOID_CALL(glCompressedTexSubImage1D, __VA_ARGS__)
#define glCompressedTexSubImage2D(...) OPENGL_VOID_CALL(glCompressedTexSubImage2D, __VA_ARGS__)
#define glCompressedTexSubImage3D(...) OPENGL_VOID_CALL(glCompressedTexSubImage3D, __VA_ARGS__)
#define glGetCompressedTexImage(...) OPENGL_VOID_CALL(glGetCompressedTexImage, __VA_ARGS__)
#define glMultiTexCoord1d(...) OPENGL_VOID_CALL(glMultiTexCoord1d, __VA_ARGS__)
#define glMultiTexCoord1dv(...) OPENGL_VOID_CALL(glMultiTexCoord1dv, __VA_ARGS__)
#define glMultiTexCoord1f(...) OPENGL_VOID_CALL(glMultiTexCoord1f, __VA_ARGS__)
#define glMultiTexCoord1fv(...) OPENGL_VOID_CALL(glMultiTexCoord1fv, __VA_ARGS__)
#define glMultiTexCoord1i(...) OPENGL_VOID_CALL(glMultiTexCoord1i, __VA_ARGS__)
#define glMultiTexCoord1iv(...) OPENGL_VOID_CALL(glMultiTexCoord1iv, __VA_ARGS__)
#define glMultiTexCoord1s(...) OPENGL_VOID_CALL(glMultiTexCoord1s, __VA_ARGS__)
#define glMultiTexCoord1sv(...) OPENGL_VOID_CALL(glMultiTexCoord1sv, __VA_ARGS__)
#define glMultiTexCoord2d(...) OPENGL_VOID_CALL(glMultiTexCoord2d, __VA_ARGS__)
#define glMultiTexCoord2dv(...) OPENGL_VOID_CALL(glMultiTexCoord2dv, __VA_ARGS__)
#define glMultiTexCoord2f(...) OPENGL_VOID_CALL(glMultiTexCoord2f, __VA_ARGS__)
#define glMultiTexCoord2fv(...) OPENGL_VOID_CALL(glMultiTexCoord2fv, __VA_ARGS__)
#define glMultiTexCoord2i(...) OPENGL_VOID_CALL(glMultiTexCoord2i, __VA_ARGS__)
#define glMultiTexCoord2iv(...) OPENGL_VOID_CALL(glMultiTexCoord2iv, __VA_ARGS__)
#define glMultiTexCoord2s(...) OPENGL_VOID_CALL(glMultiTexCoord2s, __VA_ARGS__)
#define glMultiTexCoord2sv(...) OPENGL_VOID_CALL(glMultiTexCoord2sv, __VA_ARGS__)
#define glMultiTexCoord3d(...) OPENGL_VOID_CALL(glMultiTexCoord3d, __VA_ARGS__)
#define glMultiTexCoord3dv(...) OPENGL_VOID_CALL(glMultiTexCoord3dv, __VA_ARGS__)
#define glMultiTexCoord3f(...) OPENGL_VOID_CALL(glMultiTexCoord3f, __VA_ARGS__)
#define glMultiTexCoord3fv(...) OPENGL_VOID_CALL(glMultiTexCoord3fv, __VA_ARGS__)
#define glMultiTexCoord3i(...) OPENGL_VOID_CALL(glMultiTexCoord3i, __VA_ARGS__)
#define glMultiTexCoord3iv(...) OPENGL_VOID_CALL(glMultiTexCoord3iv, __VA_ARGS__)
#define glMultiTexCoord3s(...) OPENGL_VOID_CALL(glMultiTexCoord3s, __VA_ARGS__)
#define glMultiTexCoord3sv(...) OPENGL_VOID_CALL(glMultiTexCoord3sv, __VA_ARGS__)
#define glMultiTexCoord4d(...) OPENGL_VOID_CALL(glMultiTexCoord4d, __VA_ARGS__)
#define glMultiTexCoord4dv(...) OPENGL_VOID_CALL(glMultiTexCoord4dv, __VA_ARGS__)
#define glMultiTexCoord4f(...) OPENGL_VOID_CALL(glMultiTexCoord4f, __VA_ARGS__)
#define glMultiTexCoord4fv(...) OPENGL_VOID_CALL(glMultiTexCoord4fv, __VA_ARGS__)
#define glMultiTexCoord4i(...) OPENGL_VOID_CALL(glMultiTexCoord4i, __VA_ARGS__)
#define glMultiTexCoord4iv(...) OPENGL_VOID_CALL(glMultiTexCoord4iv, __VA_ARGS__)
#define glMultiTexCoord4s(...) OPENGL_VOID_CALL(glMultiTexCoord4s, __VA_ARGS__)
#define glMultiTexCoord4sv(...) OPENGL_VOID_CALL(glMultiTexCoord4sv, __VA_ARGS__)
#define glLoadTransposeMatrixd(...) OPENGL_VOID_CALL(glLoadTransposeMatrixd, __VA_ARGS__)
#define glLoadTransposeMatrixf(...) OPENGL_VOID_CALL(glLoadTransposeMatrixf, __VA_ARGS__)
#define glMultTransposeMatrixd(...) OPENGL_VOID_CALL(glMultTransposeMatrixd, __VA_ARGS__)
#define glMultTransposeMatrixf(...) OPENGL_VOID_CALL(glMultTransposeMatrixf, __VA_ARGS__)
#define glSampleCoverage(...) OPENGL_VOID_CALL(glSampleCoverage, __VA_ARGS__)
#define glPointParameterfSGIS(...) OPENGL_VOID_CALL(glPointParameterfSGIS, __VA_ARGS__)
#define glPointParameterfvSGIS(...) OPENGL_VOID_CALL(glPointParameterfvSGIS, __VA_ARGS__)
